_G.IDM = _G.IDM or {}
IDM.suspicion = {}
IDM.cooldown_time = 0
IDM._path = ModPath
IDM._settings = {}
IDM._settings.version = 1

function IDM:load()
	local file = io.open(SavePath .. 'individual_detection_meters.txt', 'r')
	if file then
		IDM._settings = json.decode(file:read('*all'))
		file:close()
	else
		IDM._settings.mod_enabled = true
		IDM._settings.cooldown_enabled = true
	end
end

function IDM:save()
	local file = io.open(SavePath .. 'individual_detection_meters.txt', 'w+')
	if file then
		file:write(json.encode(IDM._settings))
		file:close()
	end
end

Hooks:AddHook("LocalizationManagerPostInit", "IDM#27400_LocalizationManager_PostInit",
function(self)
	self:load_localization_file(IDM._path .. 'loc/en.txt', false)
end)

Hooks:AddHook('MenuManagerInitialize', 'IDM#27400_MenuManager_Initialize',
function(self)
	MenuCallbackHandler.idm_clbk_menu_mod = function(self, item)
		IDM._settings.mod_enabled = (item:value() == 'on' and true or false)
		IDM:save()
	end
	MenuCallbackHandler.idm_clbk_menu_cooldown = function(self, item)
		IDM._settings.cooldown_enabled = (item:value() == 'on' and true or false)
		IDM:save()
	end
	IDM:load()
	MenuHelper:LoadFromJsonFile(IDM._path .. 'menu.txt', IDM, IDM._settings)
end)